phone.getGroupCallStars
Fetch a live story's total donations and top donors, see paid live story donations ».
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Fetch a live story's total donations and top donors, see paid live story donations ».
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/phone.getGroupCallStars" \ -H "Content-Type: application/json" \ -d '{ "params": { "call": { "_": "inputGroupCall", "id": "string", "accessHash": "string" } } }'{ "result": { "_": "phone.groupCallStars", "totalStars": "string", "topDonors": [ { "_": "groupCallDonor", "top": true, "my": true, "peerId": { "_": "peerUser", "userId": 0 }, "stars": "string" } ], "chats": [ { "_": "chatEmpty", "id": 0 } ], "users": [ { "_": "userEmpty", "id": 0 } ] }}getGroupCallJoinAs
Get a list of peers that can be used to join a [video chat or livestream »](https://core.telegram.org/api/group-calls#joining-a-group-call-on-behalf-of-owned-channels), presenting yourself as a specific user/channel. This method cannot be used for live stories or conference calls. To comment or react in a live story as another peer, use `channels.RawGetSendAsRequest` with for_live_stories set and pass one of the returned peers to `phone.RawSendGroupCallMessageRequest`.send_as.
getGroupCallStreamChannels
Get the available stream channels and current playback timestamp of an RTMP-mode video chat, livestream or live story, see [here »](https://core.telegram.org/api/group-calls#rtmp-mode) for the full flow. The group call must be joined before invoking this method. Send the request to the media DC specified by `RawGroupCall`.stream_dc_id.